# Get All Product `GET https://api.leapa.co/v2/products` Send your API key as a bearer token in the `Authorization` header. ## Query parameters - `pageFilter` · _PageFilter_ · **required** ## Response 200 - `page` · _integer_ — Current page number. - `size` · _integer_ — Number of element in a page. - `total_elements` · _integer_ — Total Elements. - `total_pages` · _integer_ — The total Pages. - `data` · _array of ProductResponse_ — List of Products - `id` · _string_ — Product ID - `name` · _string_ — Product Name - `code` · _string_ — Product Code - `description` · _string_ — Product Description - `status` · _string_ — Product Status Allowed values: `soldout`, `available`, `unavailable` - `type` · _string_ — Product type Allowed values: `service`, `good`, `addon`, `standard`, `single`, `triple`, `quad`, `suite`, `presidential`, `king`, `queen`, `interconnecting`, `adjoining`, `adjacent`, `studio`, `room`, `apartment`, `not_supported` - `images` · _array of string_ — List of images URL of the product - `attributes` · _ProductAttribute_ - `bedType` · _string_ - `numberOfGuests` · _integer_ - `amenities` · _array of string_ - `rateId` · _array of string_ - `created_date` · _integer_ — Product creation time - `price_details` · _array of PriceDetailResponse_ — Detail of the price - `price` · _integer_ — Price of the product. Constraints: Not null, Should be a positive number - `currency` · _string_ — Currency of the product. Constraints: Not null, Should be a positive number Allowed values: `BIF`, `USD`, `KES`, `XAF` - `live` · _boolean_ — Whether is the production data or test data. - `rate_ids` · _array of string_ — Rate Id that will affect the product price. ```json { "page": 0, "size": 0, "total_elements": 0, "total_pages": 0, "data": [ { "id": "obj_5f21c8a40b", "name": "Jeanne Ndayishimiye", "code": "string", "description": "Room 204, two nights", "status": "soldout", "type": "service", "images": [], "attributes": { "bedType": null, "numberOfGuests": null, "amenities": null }, "rateId": [], "created_date": 0, "price_details": [], "live": false, "rate_ids": [] } ] } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/products?pageFilter=" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._